SIU slooooooow...

Hi everyone,
just wanted to know if SIU is slower under Leopard than it was in Tiger, or is it just me??
In my experience it can easily take three to four hours to create an 8,5 GB image...
To anyone using SIU for Netinstall imaging: is this the average timing? Any alternatives to SIU?
Thanks!

Imaging speed depends on a number of factors.
1) The type of image being created.
2) The connections to the source and target drives.
3) The speed of the source and target drives.
Assuming that you are making NetRestore images from installed volumes (the slowest, due to the number steps involved) you can add the following key to ~/Library/Preferences/com.apple.server.SystemImageUtility.plist
asr_dontFileChecksumImage (Boolean) YES
This will skip the ASR imagescan phase that allows ASR to fall back to a file level copy if the block level restore fails.

Similar Messages

  • SIU error in 10.6.6

    Hello,
    I'm using SIU to create a Net Restore image however I'm getting a error message when it starts to create the system.dmg (No Space left on Disk).  I have checked the amount of space on the drive (over 100GB) free.  The image I'm trying to create a 16GB image. I bolded the part where it fails.
    Here is the Debug log it is quiet long.
    Starting image creation.
    Workflow Started (2011-06-21 13:06:41 -0400)
    Mac OS X Server 10.6.7 (10J869), System Image Utility 10.6.7 (448)
    Starting action: Define Image Source (1.2)
    Finished running action: Define Image Source
    Starting action: Create Image (1.5.4)
    Starting image creation process...
    Create NetInstall Image
    Initiating NetInstall from Restore Media.
    progressPrefix="_progress"
    ++ progressPrefix=_progress
    scriptsDebugKey="DEBUG"
    ++ scriptsDebugKey=DEBUG
    imageIsUDIFKey="1"
    ++ imageIsUDIFKey=1
    mountPoint="/tmp/mnt.bcFq7u"
    ++ mountPoint=/tmp/mnt.bcFq7u
    ownershipInfoKey="501:20"
    ++ ownershipInfoKey=501:20
    mkextPathKey="/System/Library/Caches/com.apple.kext.caches/Startup/Extensions.mk ext"
    ++ mkextPathKey=/System/Library/Caches/com.apple.kext.caches/Startup/Extensions.mk ext
    sourceVol="/Volumes/Macintosh HD"
    ++ sourceVol='/Volumes/Macintosh HD'
    skipFileChecksumKey="0"
    ++ skipFileChecksumKey=0
    dmgTarget="NetInstall"
    ++ dmgTarget=NetInstall
    destPath="/Library/NetBoot/NetBootSP0/Dev_Image"
    ++ destPath=/Library/NetBoot/NetBootSP0/Dev_Image
    asrSource="ASRInstall.pkg"
    ++ asrSource=ASRInstall.pkg
    blockCopyDeviceKey="0"
    ++ blockCopyDeviceKey=0
    . "$1/createCommon.sh"
    + . /tmp/niutemp.ZbrIcFvw/createCommon.sh
    # createCommon.sh
    # Common functionality for the Image creation process.
    # sourced in by the various SIU scripts
    # Copyright 2007 Apple Inc. All rights reserved.
    # Using dscl, create a user account
    AddLocalUser()
        # $1 long name
        # $2 short name
        # $3 isAdminUser key
        # $4 password hash
        # $5 user picture path
        # $6 Language string
        local    databasePath="/Local/Target/Users/${2}"
        # Find a free UID between 501 and 599
        for ((i=501; i<600; i++)); do
            output=`/usr/bin/dscl -f "${mountPoint}/var/db/dslocal/nodes/Default" localonly -search /Local/Target/Users UniqueID $i`
            # If there is already an account dscl returns it, so we're looking for an empty return value.
            if [ "$output" == "" ]; then
                break
            fi
        done
        # Create the user record
        /usr/bin/dscl -f "${mountPoint}/var/db/dslocal/nodes/Default" localonly -create $databasePath || exit 1
        # Add long name
        /usr/bin/dscl -f "${mountPoint}/var/db/dslocal/nodes/Default" localonly -append $databasePath RealName "${1}" || exit 1
        # Add PrimaryGroupID
        if [ "${3}" == 1 ]; then
            /usr/bin/dscl -f "${mountPoint}/var/db/dslocal/nodes/Default" localonly -append $databasePath PrimaryGroupID 80 || exit 1
        else
            /usr/bin/dscl -f "${mountPoint}/var/db/dslocal/nodes/Default" localonly -append $databasePath PrimaryGroupID 20 || exit 1
        fi
        # Add UniqueID
        /usr/bin/dscl -f "${mountPoint}/var/db/dslocal/nodes/Default" localonly -append $databasePath UniqueID ${i} || exit 1
        # Add Home Directory entry
        /usr/bin/dscl -f "${mountPoint}/var/db/dslocal/nodes/Default" localonly -append $databasePath dsAttrTypeNative:home /Users/${2} || exit 1
        /usr/bin/dscl -f "${mountPoint}/var/db/dslocal/nodes/Default" localonly -append $databasePath authentication_authority ";ShadowHash;" || exit 1
        /usr/bin/dscl -f "${mountPoint}/var/db/dslocal/nodes/Default" localonly -append $databasePath picture "${5}" || exit 1
        /usr/bin/dscl -f "${mountPoint}/var/db/dslocal/nodes/Default" localonly -append $databasePath passwd "*" || exit 1
        # Add shell
        /usr/bin/dscl -f "${mountPoint}/var/db/dslocal/nodes/Default" localonly -append $databasePath UserShell "/bin/bash" || exit 1
        # lookup generated uid
        genUID=`/usr/bin/dscl -f "${mountPoint}/var/db/dslocal/nodes/Default" localonly -read /Local/Target/Users/${2} GeneratedUID` || exit 1
        genUID=${genUID:14:36}
        # make sure the shadow/hash directory exists
        if [ ! -e "${mountPoint}/var/db/shadow/hash" ] ; then
            /bin/mkdir -p "${mountPoint}/var/db/shadow/hash" || exit 1
            /bin/chmod -R 700 "${mountPoint}/var/db/shadow" || exit 1
        fi
        # to copy our password hash in there...
        echo "${4}" > "${mountPoint}/var/db/shadow/hash/$genUID"
        /bin/chmod 600 "${mountPoint}/var/db/shadow/hash/$genUID" || exit 1
        # Create Home directory
        if [ -e "/System/Library/User Template/${6}.lproj/" ]; then
            /usr/bin/ditto "/System/Library/User Template/${6}.lproj/" "${mountPoint}/Users/${2}" || exit 1
        else
            /usr/bin/ditto "/System/Library/User Template/English.lproj/" "${mountPoint}/Users/${2}" || exit 1
        fi
        /usr/sbin/chown -R $i:$i "${mountPoint}/Users/${2}" || exit 1
    # If they exist, apply any Append.bom changes
    ApplyAppendBom()
        local tempDir="$1"
        local srcVol="$2"
        local opt=""
        if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
            opt="-v"
        fi
        if [ -e  "$tempDir/Append.bom" ]; then   
            if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
                echo "Applying Append.bom additions from System Image Utility"
            fi
            /usr/bin/ditto $opt -bom "$tempDir/Append.bom" "$srcVol" "${mountPoint}" || exit 1
        fi
        if [ -e  "$srcVol/Library/Application Support/Apple/System Image Utility/Append.bom" ]; then
            if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
                echo "Applying Append.bom additions from $srcVol"
            fi
            /usr/bin/ditto $opt -bom "$srcVol/Library/Application Support/Apple/System Image Utility/Append.bom" "$srcVol" "${mountPoint}" || exit 1
        fi
    # Copies a list of packages (full paths contained in the file at $1) from source to .../System/Installation/Packages/
    CopyPackagesFromFile()
        local theFile="$1"
        local opt=""
        if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
            opt="-v"
        fi
        while read FILE
        do
            if [ -e "${FILE}" ]; then
                local leafName=`basename "${FILE}"`
                if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
                    echo "Copying ${FILE}."
                fi
                /usr/bin/ditto $opt "${FILE}" "${mountPoint}/System/Installation/Packages/${leafName}" || exit 1
            fi
        done < "${theFile}"
    # Copies a list of packages (full path, destination pairs contained in the file at $1) from source to .../System/Installation/Packages/
    CopyPackagesWithDestinationsFromFile()
        local theFile="$1"
        local opt=""
        if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
            opt="-v"
        fi
        while read FILE
        do
            if [ -e "${FILE}" ]; then
                local leafName=`basename "${FILE}"`
                if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
                    echo "Copying ${FILE}."
                fi
                read SUB_PATH
                /usr/bin/ditto $opt "${FILE}" "${mountPoint}/System/Installation/Packages/${SUB_PATH}${leafName}" || exit 1
            fi
        done < "${theFile}"
    # Create the dyld shared cache files
    CreateDyldCaches()
        local opt=""
        if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
            echo "Creating dyld shared cache files"
            # This spews too much for verbose mode... only enable for debug
            if [ "${scriptsDebugKey}" == "DEBUG" ]; then
                opt="-debug"
            fi
        fi
        /usr/bin/update_dyld_shared_cache -root "${mountPoint}" -universal_boot -force $opt
    # Validate or create the destination directory and mount point
    CreateOrValidateDestination()
        local destDir="$1"
        if [ ! -d "$destDir" ]; then
            if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
                echo "Creating working path at $destDir"
            fi
            /bin/mkdir -p "$destDir" || exit 1
        fi
        # Create mount point
        if [ ! -d "${mountPoint}" ]; then
            if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
                echo "Creating mountpoint for in $destDir"
            fi
            /bin/mkdir -p "${mountPoint}" || exit 1
        fi
    # If any exist, apply any user accounts
    CreateUserAccounts()
        local count="${#userFullName[*]}"
        if [ $count -gt 0 ]; then
            if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
                echo "Adding $count user account(s) to the image"
            fi
            for ((index=0; index<$count; index++)); do
                if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
                    echo "Adding user ${userFullName[$index]}"
                fi
                #lay down user here
                AddLocalUser "${userFullName[$index]}" "${userUnixName[$index]}" "${userIsAdmin[$index]}" "${userPassHash[$index]}" "${userImagePath[$index]}" "${userLanguage[$index]}"
            done
            # "touch"
            /usr/bin/touch "${mountPoint}/private/var/db/.AppleSetupDone"
            /usr/bin/touch "${mountPoint}/Library/Receipts/.SetupRegComplete"
        fi
    # retry the hdiutil detach until we either time out or it succeeds
    retry_hdiutil_detach()
        local mount_point="${1}"
        local tries=0
        local forceAt=0
        local limit=24
        local opt=""
        forceAt=$(($limit - 1))
        while [ $tries -lt $limit ]; do
            tries=$(( tries + 1 ))
            /bin/sleep 5
            echo "Attempting to detach the disk image again..."
            /usr/bin/hdiutil detach "${mount_point}" $opt
            if [ $? -ne 0 ]; then
                # Dump a list of any still open files on the mountPoint
                if [ "${scriptsDebugKey}" == "DEBUG" ]; then
                    /usr/sbin/lsof +fg "${mount_point}"
                fi
                if [ $tries -eq $forceAt ]; then
                    echo "Failed to detach disk image at '${mount_point}' normally, adding -force."
                    opt="-force"
                fi
                if [ $tries -eq $limit ]; then
                    echo "Failed to detach disk image at '${mount_point}'."
                    exit 1
                fi
            else
                tries=$limit
            fi
        done
    # Create the dyld shared cache files
    DetachAndRemoveMount()
        if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
            echo "Detaching disk image"
            # Dump a list of any still open files on the mountPoint
            if [ "${scriptsDebugKey}" == "DEBUG" ]; then
                /usr/sbin/lsof +fg "${mountPoint}"
            fi
        fi
        # Finally detach the image and dispose the mountPoint directory
        /usr/bin/hdiutil detach "${mountPoint}" || retry_hdiutil_detach "${mountPoint}" || exit 1
        /bin/rmdir "${mountPoint}" || exit 1
    # If the pieces exist, enable remote access for the shell image
    EnableRemoteAccess()
        local srcVol="$1"
        local opt=""
        if [ -e "${srcVol}/usr/lib/pam/pam_serialnumber.so.2" ]; then
            if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
                echo "Enabling shell image remote access support"
                if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
                    opt="-v"
                fi
            fi
            # install some things (again which aren't part of BaseSystem) needed for remote ASR installs
            /usr/bin/ditto $opt "${srcVol}/usr/lib/pam/pam_serialnumber.so.2" "${mountPoint}/usr/lib/pam/pam_serialnumber.so.2" || exit 1
            if [ -e "${srcVol}/usr/sbin/installer" ]; then
                /usr/bin/ditto $opt "${srcVol}/usr/sbin/installer" "${mountPoint}/usr/sbin/installer" || exit 1
            fi
            # copy the sshd config and add our keys to the end of it
            if [ -e "${srcVol}/etc/sshd_config" ]; then
                /bin/cat "${srcVol}/etc/sshd_config" - > "${mountPoint}/etc/sshd_config" << END
    HostKey /private/var/tmp/ssh_host_key
    HostKey /private/var/tmp/ssh_host_rsa_key
    HostKey /private/var/tmp/ssh_host_dsa_key
    END
            fi
        fi
    # If it exists, install the sharing names and/or directory binding support to the install image
    HandleNetBootClientHelper()
        local tempDir="$1"
        local opt=""
        if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
            opt="-v"
        fi
        if [ -e  "$tempDir/bindingNames.plist" ]; then   
            if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
                echo "Installing Directory Service binding information"
            fi
            /usr/bin/ditto $opt "$tempDir/bindingNames.plist" "${mountPoint}/etc/bindingNames.plist" || exit 1
            /usr/sbin/chown root:wheel "${mountPoint}/etc/bindingNames.plist"
            /bin/chmod 644 "${mountPoint}/etc/bindingNames.plist"
        fi
        if [ -e  "$tempDir/sharingNames.plist" ]; then   
            if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
                echo "Installing Sharing Names support"
            fi
            /usr/bin/ditto $opt "$tempDir/sharingNames.plist" "${mountPoint}/etc/sharingNames.plist" || exit 1
            /usr/sbin/chown root:wheel "${mountPoint}/etc/sharingNames.plist"
            /bin/chmod 644 "${mountPoint}/etc/sharingNames.plist"
        fi
        if [ -e  "$tempDir/NetBootClientHelper" ]; then   
            /usr/bin/ditto $opt "$tempDir/NetBootClientHelper" "${mountPoint}/usr/sbin/NetBootClientHelper" || exit 1
            /usr/sbin/chown root:wheel "${mountPoint}/usr/sbin/NetBootClientHelper"
            /bin/chmod 555 "${mountPoint}/usr/sbin/NetBootClientHelper"
            /usr/bin/ditto $opt "$tempDir/com.apple.NetBootClientHelper.plist" "${mountPoint}/System/Library/LaunchDaemons/com.apple.NetBootClientHelper.plist " || exit 1
            /usr/sbin/chown root:wheel "${mountPoint}/System/Library/LaunchDaemons/com.apple.NetBootClientHelper.plist "
            /bin/chmod 644 "${mountPoint}/System/Library/LaunchDaemons/com.apple.NetBootClientHelper.plist "
            # finally, make sure it isn't disabled...
            /usr/libexec/PlistBuddy -c "Delete :com.apple.NetBootClientHelper" "${mountPoint}/var/db/launchd.db/com.apple.launchd/overrides.plist" > /dev/null 2>&1
        fi
    # Create an installer package in /System/Installation/Packages/ wrapping the supplied script
    InstallerPackageFromScript()
        local tempDir="$1"
        local scriptPath="$2"
        local scriptName=`basename "${scriptPath}"`
        local opt=""
        if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
            echo "Create installer for script $scriptName"
            if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
                opt="-v"
            fi
        fi
        # shouldn't exist on entry...
        if [ -e "${tempDir}/emptyDir" ]; then
            /bin/rm -rf "${tempDir}/emptyDir"
        fi
        # make some directories to work in
        /bin/mkdir $opt -p "${tempDir}/$scriptName.pkg/Contents/Resources"
        /bin/mkdir $opt "${tempDir}/emptyDir" || exit 1
        cd "${tempDir}/emptyDir"
        # Create Archive.pax.gz
        /bin/pax -w -x cpio -f "$tempDir/$scriptName.pkg/Contents/Archive.pax" .
        /usr/bin/gzip "$tempDir/$scriptName.pkg/Contents/Archive.pax"
        # Create the Archive.bom file
        /usr/bin/mkbom "$tempDir/emptyDir/" "$tempDir/$scriptName.pkg/Contents/Archive.bom"
        # Create the Info.plist
        /bin/cat > "$tempDir/$scriptName.pkg/Contents/Info.plist" << END
        <?xml version="1.0" encoding="UTF-8"?>
        <!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
        <plist version="1.0">
        <dict>
            <key>CFBundleIdentifier</key>
            <string>com.apple.server.SystemImageUtility.$scriptName</string>
            <key>CFBundleShortVersionString</key>
            <string>1</string>
            <key>IFMajorVersion</key>
            <integer>1</integer>
            <key>IFMinorVersion</key>
            <integer>0</integer>
            <key>IFPkgFlagDefaultLocation</key>
            <string>/tmp</string>
            <key>IFPkgFlagInstallFat</key>
            <false/>
            <key>IFPkgFlagIsRequired</key>
            <false/>
            <key>IFPkgFormatVersion</key>
            <real>0.10000000149011612</real>
        </dict>
        </plist>
    END
        echo "pkmkrpkg1" > "$tempDir/$scriptName.pkg/Contents/PkgInfo"
        echo "major: 1\nminor: 0" > "$tempDir/$scriptName.pkg/Contents/Resources/package_version"
        # Copy the script
        /bin/cp "$scriptPath" "$tempDir/$scriptName.pkg/Contents/Resources/postflight"
        # copy the package to the Packages directory
        /usr/bin/ditto $opt "$tempDir/$scriptName.pkg" "${mountPoint}/System/Installation/Packages/$scriptName.pkg" || exit 1
        # clean up
        /bin/rm -r "$tempDir/emptyDir"
        /bin/rm -r "$tempDir/$scriptName.pkg"
    # If it exists, install the PowerManagement.plist onto the install image
    InstallPowerManagementPlist()
        local tempDir="$1"
        local opt=""
        if [ -e "$tempDir/com.apple.PowerManagement.plist" ]; then
            if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
                echo "Installing PowerManagement plist to install image"
                if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
                    opt="-v"
                fi
            fi
            /usr/bin/ditto $opt "$tempDir/com.apple.PowerManagement.plist" "${mountPoint}/Library/Preferences/SystemConfiguration/com.apple.PowerManagemen t.plist" || exit 1
            /usr/sbin/chown root:wheel "${mountPoint}/Library/Preferences/SystemConfiguration/com.apple.PowerManagemen t.plist"
            /bin/chmod 644 "${mountPoint}/Library/Preferences/SystemConfiguration/com.apple.PowerManagemen t.plist"
        fi
    # If it exists, install the InstallerStatusNotifications.bundle and progress emitter onto the install image
    InstallProgressPieces()
        local tempDir="$1"
        local opt=""
        if [ -e "$tempDir/InstallerStatusNotifications.bundle" ]; then
            if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
                echo "Installing progress announcer to install image"
                if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
                    opt="-v"
                fi
            fi
            /usr/bin/ditto $opt "$tempDir/InstallerStatusNotifications.bundle" "${mountPoint}/System/Library/CoreServices/InstallerStatusNotifications.bundle" || exit 1
            /usr/sbin/chown -R root:wheel "${mountPoint}/System/Library/CoreServices/InstallerStatusNotifications.bundle"
            /bin/chmod 755 "${mountPoint}/System/Library/CoreServices/InstallerStatusNotifications.bundle"
        fi
        if [ -e "$tempDir/com.apple.ProgressEmitter.plist" ]; then
            if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
                echo "Installing status emitter to image"
            fi
            /usr/bin/ditto $opt "$tempDir/progress_emitter" "${mountPoint}/usr/sbin/progress_emitter" || exit 1
            /usr/sbin/chown root:wheel "${mountPoint}/usr/sbin/progress_emitter"
            /bin/chmod 555 "${mountPoint}/usr/sbin/progress_emitter"
            /usr/bin/ditto $opt "$tempDir/com.apple.ProgressEmitter.plist" "${mountPoint}/System/Library/LaunchDaemons/com.apple.ProgressEmitter.plist" || exit 1
            /usr/sbin/chown root:wheel "${mountPoint}/System/Library/LaunchDaemons/com.apple.ProgressEmitter.plist"
            /bin/chmod 644 "${mountPoint}/System/Library/LaunchDaemons/com.apple.ProgressEmitter.plist"
        fi
    # Converts a list of scripts (full paths contained in the file at $1) into packages in .../System/Installation/Packages/
    InstallScriptsFromFile()
        local tempDir="$1"
        local theFile="$2"
        if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
            echo "Converting scripts into install packages"
        fi
        while read FILE
        do
            if [ -e "${FILE}" ]; then
                # make an installer package out of the script
                InstallerPackageFromScript "$tempDir" "${FILE}"
            fi
        done < "${theFile}"
    # Prepare the source by deleting stuff we don't want to copy if sourcing a volume
    PostFlightDestination()
        local tempDir="$1"
        local destDir="$2"
        local opt=""
        if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
            echo "Performing post install cleanup"
            if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ] ; then
                opt="-v"
            fi
        fi
        # delete the DS indices to force reindexing...
        if [ -e "${mountPoint}/var/db/dslocal/indices/Default/index" ]; then
            /bin/rm $opt "${mountPoint}/var/db/dslocal/indices/Default/index"
        fi
        # detach the disk and remove the mount folder
        DetachAndRemoveMount || exit 1
        # copy the NBImageInfo.plist file
        /usr/bin/ditto $opt "$tempDir/NBImageInfo.plist" "$destDir/NBImageInfo.plist" || exit 1
        echo "Correcting permissions. ${ownershipInfoKey} $destDir"
        /usr/sbin/chown -R "${ownershipInfoKey}" "$destDir"
        # rename the folder to .nbi
        if [ ! -e "$destDir.nbi" ]; then
            /bin/mv $opt "$destDir" "$destDir.nbi" || exit 1
        else
            local parentDir=`dirname "${destDir}"`
            local targetName=`basename "${destDir}"`
            for ((i=2; i<1000; i++)); do
                if [ ! -e "${parentDir}/${targetName}_$i.nbi" ]; then
                    /bin/mv $opt "$destDir" "${parentDir}/${targetName}_$i.nbi" || exit 1
                    break
                fi
            done
        fi
    # Prepare the source by deleting stuff we don't want to copy if sourcing a volume
    PreCleanSource()
        local srcVol="$1"
        local opt=""
        if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
            if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ] ; then
                opt="-v"
            fi
        fi
        if [ -e "$srcVol/private/var/vm/swapfile*" ]; then
            if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
                echo "Removing swapfiles on $1"
            fi
            /bin/rm $opt "$srcVol/private/var/vm/swapfile*"
        fi
        if [ -d "$srcVol/private/tmp" ]; then
            if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
                echo "Cleaning out /private/tmp on $1"
            fi
            /bin/rm -r $opt "$srcVol/private/tmp/*"
        fi
        if [ -d "$srcVol/private/var/tmp" ]; then
            if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
                echo "Cleaning out /private/var/tmp on $1"
            fi
            /bin/rm -r $opt "$srcVol/private/var/tmp/*"
        fi
        if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
            echo "Cleaning out devices and volumes on $1"
        fi
        if [ -d "$srcVol/Volumes" ]; then
            /bin/rm -r $opt "$srcVol/Volumes/*"
        fi
        if [ -d "$srcVol/dev" ]; then
            /bin/rm $opt "$srcVol/dev/*"
        fi
        if [ -d "$srcVol/private/var/run" ]; then
            /bin/rm -r $opt "$srcVol/private/var/run/*"
        fi
    # Copy kernel and build the kext cache on the boot image
    PrepareKernelAndKextCache()
        local destDir="$1"
        local opt=""
        local arch_x86_64=`/usr/bin/file -b "${mountPoint}/mach_kernel" | /usr/bin/sed -ne 's/.*\(x86_64\)):.*/\1/p'`
        if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
            echo "Preparing the kernel and kext cache for the boot image"
            if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
                opt="-v"
            fi
        fi
        # Insure the kext cache on our source volume (the boot shell) is up to date
        if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
            echo "Updating kext cache on source volume"
        fi
        /usr/sbin/kextcache -update-volume "${mountPoint}" || exit 1
        # Copy the i386 and, if it exists, the x86_64 architecture
        if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
            echo "Preparing Intel architecture"
        fi
        # Prepare the kernel
        /bin/mkdir $opt "$destDir/i386" || exit 1
        /usr/bin/lipo -extract i386 "${mountPoint}/mach_kernel" -output "$destDir/i386/mach.macosx" || exit 1
        # Build kext cache
        /usr/sbin/kextcache -a i386 -s -l -n -z -mkext2 "$destDir/i386/mach.macosx.mkext" "${mountPoint}/System/Library/Extensions" || exit 1
        # If the x86_64 architecture exists, copy it
        if [ "${arch_x86_64}" = "x86_64" ]; then
            if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
                echo "Preparing x86_64 architecture"
            fi
            # Prepare the kernel
            /bin/mkdir $opt "$destDir/i386/x86_64" || exit 1
            /usr/bin/lipo -extract x86_64 "${mountPoint}/mach_kernel" -output "$destDir/i386/x86_64/mach.macosx" || exit 1
            # Build kext cache
            /usr/sbin/kextcache -a x86_64 -s -l -n -z -mkext2 "$destDir/i386/x86_64/mach.macosx.mkext" "${mountPoint}/System/Library/Extensions" || exit 1
        fi
    # Create the i386 and x86_64 boot loaders on the boot image
    PrepareBootLoader()
        local srcVol="$1"
        local destDir="$2"
        local opt=""
        if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
            echo "Preparing boot loader"
            if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
                opt="-v"
            fi
        fi
        # Copy the i386 and, by default, the x86_64 architecture
        if [ -e "${mountPoint}/usr/standalone/i386/boot.efi" ]; then
            /usr/bin/ditto $opt "${mountPoint}/usr/standalone/i386/boot.efi" "$destDir/i386/booter" || exit 1
        else
            /usr/bin/ditto $opt "$srcVol/usr/standalone/i386/boot.efi" "$destDir/i386/booter" || exit 1
        fi
    # If it exists, install the partitioning application and data onto the install image
    ProcessAutoPartition()
        local tempDir="$1"
        local opt=""
        if [ -e "$tempDir/PartitionInfo.plist" ]; then
            if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
                echo "Installing Partitioning application and data to install image"
                if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
                    opt="-v"
                fi
            fi
            /usr/bin/ditto $opt "$tempDir/PartitionInfo.plist" "${mountPoint}/System/Installation/PartitionInfo.plist" || exit 1
            /usr/bin/ditto $opt "$tempDir/AutoPartition.app" "${mountPoint}/System/Installation/AutoPartition.app" || exit 1
            # Tell the installer to run the Partitioning application
            /bin/echo "#!/bin/sh
            /System/Installation/AutoPartition.app/Contents/MacOS/AutoPartition" > "${mountPoint}/private/etc/rc.cdrom.postWS"
            # Due to the way rc.install sources the script, it needs to be executable
            /usr/sbin/chown root:wheel "${mountPoint}/private/etc/rc.cdrom.postWS"
            /bin/chmod 755 "${mountPoint}/private/etc/rc.cdrom.postWS"
        fi
    # If it exists, install the InstallPreferences.plist onto the install image
    ProcessInstallPreferences()
        local tempDir="$1"
        local opt=""
        if [ -e "$tempDir/InstallPreferences.plist" ]; then
            if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
                echo "Installing InstallPreferences.plist to install image"
                if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
                    opt="-v"
                fi
            fi
            /usr/bin/ditto $opt "$tempDir/InstallPreferences.plist" "${mountPoint}/System/Installation/Packages/InstallPreferences.plist" || exit 1
            /usr/sbin/chown root:wheel "${mountPoint}/System/Installation/Packages/InstallPreferences.plist"
            /bin/chmod 644 "${mountPoint}/System/Installation/Packages/InstallPreferences.plist"
        fi
    # If it exists, install the minstallconfig.xml onto the install image
    ProcessMinInstall()
        local tempDir="$1"
        local opt=""
        if [ -e "$tempDir/minstallconfig.xml" ]; then
            if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
                echo "Installing minstallconfig.xml to install image"
                if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
                    opt="-v"
                fi
            fi
            /usr/bin/ditto $opt "$tempDir/minstallconfig.xml" "${mountPoint}/etc/minstallconfig.xml" || exit 1
            /usr/sbin/chown root:wheel "${mountPoint}/etc/minstallconfig.xml"
            /bin/chmod 644 "${mountPoint}/etc/minstallconfig.xml"
        fi
    # untar the OSInstall.mpkg so it can be modified
    untarOSInstallMpkg()
        local tempDir="$1"
        local opt=""
        # we might have already done this, so check for it first
        if [ ! -d "${tempDir}/OSInstall_pkg" ]; then
            if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
                echo "uncompressing OSInstall.mpkg"
                if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
                    opt="-v"
                fi
            fi
            /bin/mkdir "${tempDir}/OSInstall_pkg"
            cd "${tempDir}/OSInstall_pkg"
            /usr/bin/xar $opt -xf "${mountPoint}/System/Installation/Packages/OSInstall.mpkg"
            # make Distribution writeable
            /bin/chmod 777 "${tempDir}/OSInstall_pkg"
            /bin/chmod 666 "${tempDir}/OSInstall_pkg/Distribution"
        fi
    handler ()
        echo "Terminated. Cleaning up. Unmounting $destPath"
        # detach the disk and remove the mount folder
        DetachAndRemoveMount
        # Remove the items we created
        /bin/rm -r "$destPath/i386"
        /bin/rm "$destPath/$dmgTarget.dmg"
        /bin/rm "$destPath/System.dmg"
        # Finally, remove the directory IF empty
        /bin/rmdir "$destPath"
        exit 1
    InstallNetBootClientHelper()
        local tempDir="$1"
        local destDir="${mountPoint}/System/Installation/Packages/SIUExtras"
        local opt=""
        if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
            opt="-v"
        fi
        if [ -e  "${tempDir}/bindingNames.plist" ]; then   
            if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
                echo "Installing Directory Service binding information"
            fi
            /usr/bin/ditto $opt "${tempDir}/bindingNames.plist" "${destDir}/bindingNames.plist" || exit 1
            /usr/sbin/chown root:wheel "${destDir}/bindingNames.plist"
            /bin/chmod 644 "${destDir}/bindingNames.plist"
        fi
        if [ -e  "${tempDir}/sharingNames.plist" ]; then   
            if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
                echo "Installing Sharing Names support"
            fi
            /usr/bin/ditto $opt "${tempDir}/sharingNames.plist" "${destDir}/sharingNames.plist" || exit 1
            /usr/sbin/chown root:wheel "${destDir}/sharingNames.plist"
            /bin/chmod 644 "${destDir}/sharingNames.plist"
        fi
        # This is required, make sure it's here
        /usr/bin/ditto $opt "${tempDir}/NetBootClientHelper" "${destDir}/NetBootClientHelper" || exit 1
        /usr/sbin/chown root:wheel "${destDir}/NetBootClientHelper"
        /bin/chmod 555 "${destDir}/NetBootClientHelper"
        /usr/bin/ditto $opt "${tempDir}/com.apple.NetBootClientHelper.plist" "${destDir}/com.apple.NetBootClientHelper.plist" || exit 1
        /usr/sbin/chown root:wheel "${destDir}/com.apple.NetBootClientHelper.plist"
        /bin/chmod 644 "${destDir}/com.apple.NetBootClientHelper.plist"
        /usr/bin/ditto $opt "${tempDir}/installClientHelper.sh" "${mountPoint}/var/tmp/niu/postinstall/installClientHelper.sh" || exit 1
        /usr/sbin/chown root:wheel "${mountPoint}/var/tmp/niu/postinstall/installClientHelper.sh"
        /bin/chmod 555 "${mountPoint}/var/tmp/niu/postinstall/installClientHelper.sh"
    trap "handler" TERM INT
    + trap handler TERM INT
    # Set up for script debugging
    debug_opt=""
    + debug_opt=
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ] ; then
        debug_opt="-v"
    fi
    + '[' DEBUG == VERBOSE -o DEBUG == DEBUG ']'
    + debug_opt=-v
    # See if the source volume was overridden (NetRestore from install media workflow)
    isRestoreFromInstallMedia="NO"
    + isRestoreFromInstallMedia=NO
    if [ ! -z "${3:-}" ]; then
        sourceVol="${3}"
        isRestoreFromInstallMedia="YES"
    fi
    + '[' '!' -z '' ']'
    # Prepare the destination
    CreateOrValidateDestination "$destPath"
    + CreateOrValidateDestination /Library/NetBoot/NetBootSP0/Dev_Image
    + local destDir=/Library/NetBoot/NetBootSP0/Dev_Image
    + '[' '!' -d /Library/NetBoot/NetBootSP0/Dev_Image ']'
    + '[' DEBUG == VERBOSE -o DEBUG == DEBUG ']'
    + echo 'Creating working path at /Library/NetBoot/NetBootSP0/Dev_Image'
    Creating working path at /Library/NetBoot/NetBootSP0/Dev_Image
    + /bin/mkdir -p /Library/NetBoot/NetBootSP0/Dev_Image
    + '[' '!' -d /tmp/mnt.bcFq7u ']'
    # If the sourceVol is the boot drive we have an asr:// type source
    if [ "$sourceVol" == "/" ]; then
        # Create an empty image to skip the ASR volume creation
        /usr/bin/touch "${destPath}/System.dmg"
    fi
    + '[' '/Volumes/Macintosh HD' == / ']'
    # Look for an existing System.dmg
    if [ ! -e "$destPath/System.dmg" ]; then
        # update progress information
        echo "${progressPrefix}_imagingSource_"
        # Create an image of the source volume
    #    /usr/bin/hdiutil create "$destPath/System" -srcfolder "$sourceVol" -format UDBZ -uid 0 -gid 80 -mode 1775 -ov -puppetstrings || exit 1
        if [ "${blockCopyDeviceKey}" == 1 ] ; then
            theDevice=`/usr/sbin/diskutil info "$sourceVol" | grep "Device Identifier:" | awk '{print $3}'`
            /usr/sbin/diskutil umount "${theDevice}"
            if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ] ; then
                echo "Creating block-level image of $theDevice"
            fi
            /usr/bin/hdiutil create "$destPath/System" -srcdevice "${theDevice}" -uid 0 -gid 80 -mode 1775 -ov -puppetstrings || exit 1
            /usr/sbin/diskutil mount "${theDevice}"
        else
            if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ] ; then
                echo "Creating image of $sourceVol"
            fi
            /usr/bin/hdiutil create "$destPath/System" -srcfolder "${sourceVol}" -fsargs "-c a=16384,c=8192,e=1280" -uid 0 -gid 80 -mode 1775 -ov -puppetstrings || exit 1
        fi
        # update progress information
        echo "${progressPrefix}_preparingASR_"
        # "Scan the image for restore"
        asr_opt="--filechecksum"
        if [ "${skipFileChecksumKey}" == 1 ] ; then
            asr_opt=""
            if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ] ; then
                echo "Preparing image for restore without file checksums"
            fi
        else
            if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ] ; then
                echo "Preparing image for restore"
            fi
        fi
        /usr/sbin/asr imagescan --source "$destPath/System.dmg" $asr_opt || exit 1
    fi
    + '[' '!' -e /Library/NetBoot/NetBootSP0/Dev_Image/System.dmg ']'
    + echo _progress_imagingSource_
    + '[' 0 == 1 ']'
    + '[' DEBUG == VERBOSE -o DEBUG == DEBUG ']'
    + echo 'Creating image of /Volumes/Macintosh HD'
    Creating image of /Volumes/Macintosh HD
    + /usr/bin/hdiutil create /Library/NetBoot/NetBootSP0/Dev_Image/System -srcfolder '/Volumes/Macintosh HD' -fsargs '-c a=16384,c=8192,e=1280' -uid 0 -gid 80 -mode 1775 -ov -puppetstrings
    PERCENT:0.000000
    PERCENT:0.330451
    PERCENT:0.332470
    PERCENT:0.344677
    PERCENT:0.377071
    PERCENT:0.422909
    PERCENT:0.459435
    PERCENT:0.489441
    PERCENT:0.518527
    PERCENT:0.565020
    PERCENT:0.623910
    PERCENT:0.685802
    PERCENT:0.744207
    PERCENT:0.794040
    PERCENT:0.841389
    PERCENT:0.921185
    PERCENT:0.985307
    PERCENT:1.046925
    PERCENT:1.105213
    PERCENT:1.175296
    PERCENT:1.230995
    PERCENT:1.293341
    PERCENT:1.352126
    PERCENT:1.406514
    PERCENT:1.473987
    PERCENT:1.522076
    PERCENT:1.585543
    PERCENT:1.643091
    PERCENT:1.717444
    PERCENT:1.794418
    PERCENT:1.862271
    PERCENT:1.936603
    PERCENT:1.994204
    PERCENT:2.052249
    PERCENT:2.111711
    PERCENT:2.173170
    PERCENT:2.214875
    PERCENT:2.261125
    PERCENT:2.305547
    PERCENT:2.349017
    PERCENT:2.390067
    PERCENT:2.426858
    PERCENT:2.464494
    PERCENT:2.501401
    PERCENT:2.544618
    PERCENT:2.585044
    PERCENT:2.616508
    PERCENT:2.653373
    PERCENT:2.684488
    PERCENT:2.714250
    PERCENT:2.744013
    PERCENT:2.775128
    PERCENT:2.805567
    PERCENT:2.842241
    PERCENT:2.896164
    PERCENT:2.947551
    PERCENT:3.077877
    PERCENT:3.189032
    PERCENT:3.255416
    PERCENT:3.318238
    PERCENT:3.385203
    PERCENT:3.447032
    PERCENT:3.501008
    PERCENT:3.556358
    PERCENT:3.596298
    PERCENT:3.640265
    PERCENT:3.701312
    PERCENT:3.740216
    PERCENT:3.751684
    PERCENT:3.756873
    PERCENT:3.759463
    PERCENT:3.771110
    PERCENT:3.832558
    PERCENT:3.878956
    PERCENT:3.921570
    PERCENT:3.966489
    PERCENT:4.017378
    PERCENT:4.063142
    PERCENT:4.108230
    PERCENT:4.145591
    PERCENT:4.192771
    PERCENT:4.235164
    PERCENT:4.266099
    PERCENT:4.307170
    PERCENT:4.339046
    PERCENT:4.361928
    PERCENT:4.408115
    PERCENT:4.481009
    PERCENT:4.546252
    PERCENT:4.608429
    PERCENT:4.672034
    PERCENT:4.743332
    PERCENT:4.808416
    PERCENT:4.873353
    PERCENT:4.936820
    PERCENT:4.938119
    PERCENT:4.964922
    PERCENT:5.001111
    PERCENT:5.047287
    PERCENT:5.097353
    PERCENT:5.156835
    PERCENT:5.215133
    PERCENT:5.275134
    PERCENT:5.325294
    PERCENT:5.386827
    PERCENT:5.434113
    PERCENT:5.478503
    PERCENT:5.503984
    PERCENT:5.529995
    PERCENT:5.571034
    PERCENT:5.621808
    PERCENT:5.664380
    PERCENT:5.703200
    PERCENT:5.741238
    PERCENT:5.787234
    PERCENT:5.833463
    PERCENT:5.900407
    PERCENT:5.969592
    PERCENT:6.021909
    PERCENT:6.068772
    PERCENT:6.125062
    PERCENT:6.181723
    PERCENT:6.232296
    PERCENT:6.298521
    PERCENT:6.352899
    PERCENT:6.395819
    PERCENT:6.423500
    PERCENT:6.466389
    PERCENT:6.512131
    PERCENT:6.545339
    PERCENT:6.606682
    PERCENT:6.679429
    PERCENT:6.731269
    PERCENT:6.774930
    PERCENT:6.810389
    PERCENT:6.839253
    PERCENT:6.869015
    PERCENT:6.899454
    PERCENT:6.931246
    PERCENT:6.961008
    PERCENT:6.992123
    PERCENT:7.021167
    PERCENT:7.055696
    PERCENT:7.085416
    PERCENT:7.120241
    PERCENT:7.170761
    PERCENT:7.212403
    PERCENT:7.268651
    PERCENT:7.318632
    PERCENT:7.369744
    PERCENT:7.417505
    PERCENT:7.458164
    PERCENT:7.470160
    PERCENT:7.475867
    PERCENT:7.481638
    PERCENT:7.491499
    PERCENT:7.500853
    PERCENT:7.531027
    PERCENT:7.565736
    PERCENT:7.605169
    PERCENT:7.634698
    PERCENT:7.643978
    PERCENT:7.658616
    PERCENT:7.672662
    PERCENT:7.730052
    PERCENT:7.760406
    PERCENT:7.793488
    PERCENT:7.824518
    PERCENT:7.858973
    PERCENT:7.892022
    PERCENT:7.927841
    PERCENT:7.968045
    PERCENT:8.000407
    PERCENT:8.045262
    PERCENT:8.094852
    PERCENT:8.149515
    PERCENT:8.210488
    PERCENT:8.273025
    PERCENT:8.323418
    PERCENT:8.375428
    PERCENT:8.427924
    PERCENT:8.490250
    PERCENT:8.565670
    PERCENT:8.627298
    PERCENT:8.680439
    PERCENT:8.725358
    PERCENT:8.787376
    PERCENT:8.862871
    PERCENT:8.912630
    PERCENT:8.966120
    PERCENT:9.012793
    PERCENT:9.057658
    PERCENT:9.096415
    PERCENT:9.129918
    PERCENT:9.178705
    PERCENT:9.227861
    PERCENT:9.266333
    PERCENT:9.308345
    PERCENT:9.361263
    PERCENT:9.424857
    PERCENT:9.499887
    PERCENT:9.545059
    PERCENT:9.599288
    PERCENT:9.646638
    PERCENT:9.692550
    PERCENT:9.727226
    PERCENT:9.763742
    PERCENT:9.810225
    PERCENT:9.853104
    PERCENT:9.910747
    PERCENT:9.951141
    PERCENT:9.995256
    PERCENT:10.040577
    PERCENT:10.083592
    PERCENT:10.136913
    PERCENT:10.181578
    PERCENT:10.206372
    PERCENT:10.246799
    PERCENT:10.280430
    PERCENT:10.328043
    PERCENT:10.392324
    PERCENT:10.472670
    PERCENT:10.533674
    PERCENT:10.593759
    PERCENT:10.647778
    PERCENT:10.717702
    PERCENT:10.754556
    PERCENT:10.824459
    PERCENT:10.888666
    PERCENT:10.937548
    PERCENT:10.983829
    PERCENT:11.017809
    PERCENT:11.058732
    PERCENT:11.094836
    PERCENT:11.126088
    PERCENT:11.162361
    PERCENT:11.225385
    PERCENT:11.275323
    PERCENT:11.329130
    PERCENT:11.394361
    PERCENT:11.471062
    PERCENT:11.535733
    PERCENT:11.612612
    PERCENT:11.682283
    PERCENT:11.753645
    PERCENT:11.836474
    PERCENT:11.894647
    PERCENT:11.954995
    PERCENT:12.034379
    PERCENT:12.098396
    PERCENT:12.174778
    PERCENT:12.242145
    PERCENT:12.303551
    PERCENT:12.362283
    PERCENT:12.429439
    PERCENT:12.483446
    PERCENT:12.549735
    PERCENT:12.612674
    PERCENT:12.679227
    PERCENT:12.704836
    PERCENT:12.753516
    PERCENT:12.795972
    PERCENT:12.842898
    PERCENT:12.888060
    PERCENT:12.936762
    PERCENT:12.984745
    PERCENT:13.025341
    PERCENT:13.073324
    PERCENT:13.124553
    PERCENT:13.179184
    PERCENT:13.215287
    PERCENT:13.253325
    PERCENT:13.301361
    PERCENT:13.356119
    PERCENT:13.425706
    PERCENT:13.482789
    PERCENT:13.537082
    PERCENT:13.594757
    PERCENT:13.650952
    PERCENT:13.692056
    PERCENT:13.741434
    PERCENT:13.777073
    PERCENT:13.818260
    PERCENT:13.869943
    PERCENT:13.917990
    PERCENT:13.958998
    PERCENT:13.992628
    PERCENT:14.019610
    PERCENT:14.045769
    PERCENT:14.063990
    PERCENT:14.090888
    PERCENT:14.122478
    PERCENT:14.163212
    PERCENT:14.184804
    PERCENT:14.211777
    PERCENT:14.238241
    PERCENT:14.269240
    PERCENT:14.299003
    PERCENT:14.320542
    PERCENT:14.349734
    PERCENT:14.381219
    PERCENT:14.421297
    PERCENT:14.447888
    PERCENT:14.476689
    PERCENT:14.505807
    PERCENT:14.535051
    PERCENT:14.565448
    PERCENT:14.593667
    PERCENT:14.620893
    PERCENT:14.648340
    PERCENT:14.659987
    PERCENT:14.683557
    PERCENT:14.708509
    PERCENT:14.743028
    PERCENT:14.775845
    PERCENT:14.804307
    PERCENT:14.836828
    PERCENT:14.867267
    PERCENT:14.896427
    PERCENT:14.942888
    PERCENT:14.988821
    PERCENT:15.033634
    PERCENT:15.084059
    PERCENT:15.140878
    PERCENT:15.192380
    PERCENT:15.235977
    PERCENT:15.291169
    PERCENT:15.336923
    PERCENT:15.379177
    PERCENT:15.422595
    PERCENT:15.457980
    PERCENT:15.495701
    PERCENT:15.519449
    PERCENT:15.534785
    PERCENT:15.557276
    PERCENT:15.573425
    PERCENT:15.596920
    PERCENT:15.626196
    PERCENT:15.658135
    PERCENT:15.709142
    PERCENT:15.761205
    PERCENT:15.805120
    PERCENT:15.837376
    PERCENT:15.867783
    PERCENT:15.898052
    PERCENT:15.938902
    PERCENT:15.977246
    PERCENT:16.006142
    PERCENT:16.039043
    PERCENT:16.076828
    PERCENT:16.118132
    PERCENT:16.166315
    PERCENT:16.208761
    PERCENT:16.260401
    PERCENT:16.312073
    PERCENT:16.347237
    PERCENT:16.377337
    PERCENT:16.408558
    PERCENT:16.443066
    PERCENT:16.475386
    PERCENT:16.508106
    PERCENT:16.551186
    PERCENT:16.600660
    PERCENT:16.654604
    PERCENT:16.709595
    PERCENT:16.751976
    PERCENT:16.792297
    PERCENT:16.846622
    PERCENT:16.886679
    PERCENT:16.951826
    PERCENT:17.006182
    PERCENT:17.058310
    PERCENT:17.087934
    PERCENT:17.121290
    PERCENT:17.155798
    PERCENT:17.180391
    PERCENT:17.209425
    PERCENT:17.241999
    PERCENT:17.272343
    PERCENT:17.299536
    PERCENT:17.333113
    PERCENT:17.365623
    PERCENT:17.393675
    PERCENT:17.424980
    PERCENT:17.464888
    PERCENT:17.500750
    PERCENT:17.533175
    PERCENT:17.563910
    PERCENT:17.604324
    PERCENT:17.648970
    PERCENT:17.701307
    PERCENT:17.751530
    PERCENT:17.804735
    PERCENT:17.848850
    PERCENT:17.893927
    PERCENT:17.942587
    PERCENT:17.991415
    PERCENT:18.037951
    PERCENT:18.073950
    PERCENT:18.126234
    PERCENT:18.165962
    PERCENT:18.231174
    PERCENT:18.296015
    PERCENT:18.351259
    PERCENT:18.411524
    PERCENT:18.452785
    PERCENT:18.511623
    PERCENT:18.551510
    PERCENT:18.591894
    PERCENT:18.634487
    PERCENT:18.682070
    PERCENT:18.732018
    PERCENT:18.779251
    PERCENT:18.827276
    PERCENT:18.874636
    PERCENT:18.910814
    PERCENT:18.941633
    PERCENT:18.978233
    PERCENT:19.024231
    PERCENT:19.062649
    PERCENT:19.106775
    PERCENT:19.170019
    PERCENT:19.247248
    PERCENT:19.300409
    PERCENT:19.336979
    PERCENT:19.373505
    PERCENT:19.413414
    PERCENT:19.447910
    PERCENT:19.491201
    PERCENT:19.525360
    PERCENT:19.555799
    PERCENT:19.588266
    PERCENT:19.622511
    PERCENT:19.707962
    PERCENT:19.824982
    PERCENT:19.909735
    PERCENT:20.054043
    PERCENT:20.103888
    PERCENT:20.145952
    PERCENT:20.178747
    PERCENT:20.227692
    PERCENT:20.276680
    PERCENT:20.319410
    PERCENT:20.351467
    PERCENT:20.396681
    PERCENT:20.442551
    PERCENT:20.496019
    PERCENT:20.552658
    PERCENT:20.615185
    PERCENT:20.686356
    PERCENT:20.741388
    PERCENT:20.801294
    PERCENT:20.849077
    PERCENT:20.884579
    PERCENT:20.923313
    PERCENT:20.957705
    PERCENT:20.989529
    PERCENT:21.020643
    PERCENT:21.050406
    PERCENT:21.080051
    PERCENT:21.108461
    PERCENT:21.135519
    PERCENT:21.164604
    PERCENT:21.194366
    PERCENT:21.223822
    PERCENT:21.258045
    PERCENT:21.295290
    PERCENT:21.327261
    PERCENT:21.364559
    PERCENT:21.401478
    PERCENT:21.437908
    PERCENT:21.472544
    PERCENT:21.505508
    PERCENT:21.536623
    PERCENT:21.566385
    PERCENT:21.599033
    PERCENT:21.634207
    PERCENT:21.669043
    PERCENT:21.704512
    PERCENT:21.736757
    PERCENT:21.769459
    PERCENT:21.800499
    PERCENT:21.835123
    PERCENT:21.866282
    PERCENT:21.901127
    PERCENT:21.933563
    PERCENT:21.971867
    PERCENT:21.997908
    PERCENT:22.042551
    PERCENT:22.086973
    PERCENT:22.139690
    PERCENT:22.182327
    PERCENT:22.233143
    PERCENT:22.264711
    PERCENT:22.300045
    PERCENT:22.332554
    PERCENT:22.364134
    PERCENT:22.406580
    PERCENT:22.425795
    PERCENT:22.466696
    PERCENT:22.509956
    PERCENT:22.549652
    PERCENT:22.599918
    PERCENT:22.638189
    PERCENT:22.686426
    PERCENT:22.728470
    PERCENT:22.751236
    PERCENT:22.756985
    PERCENT:22.759405
    PERCENT:22.772131
    PERCENT:22.788090
    PERCENT:22.807770
    PERCENT:22.824648
    PERCENT:22.840786
    PERCENT:22.854769
    PERCENT:22.868721
    PERCENT:22.887300
    PERCENT:22.900841
    PERCENT:22.916842
    PERCENT:22.935781
    PERCENT:22.968842
    PERCENT:23.005674
    PERCENT:23.040932
    PERCENT:23.075714
    PERCENT:23.109642
    PERCENT:23.144773
    PERCENT:23.165932
    PERCENT:23.194151
    PERCENT:23.226324
    PERCENT:23.254236
    PERCENT:23.288153
    PERCENT:23.315125
    PERCENT:23.341314
    PERCENT:23.364355
    PERCENT:23.415319
    PERCENT:23.478796
    PERCENT:23.524887
    PERCENT:23.562788
    PERCENT:23.625019
    PERCENT:23.669535
    PERCENT:23.733932
    PERCENT:23.813126
    PERCENT:23.890957
    PERCENT:23.949467
    PERCENT:24.026896
    PERCENT:24.090933
    PERCENT:24.151756
    PERCENT:24.224335
    PERCENT:24.296648
    PERCENT:24.362429
    PERCENT:24.422874
    PERCENT:24.487377
    PERCENT:24.552755
    PERCENT:24.612396
    PERCENT:24.678051
    PERCENT:24.753504
    PERCENT:24.815861
    PERCENT:24.870344
    PERCENT:24.910707
    PERCENT:24.940956
    PERCENT:24.980379
    PERCENT:25.021873
    PERCENT:25.060345
    PERCENT:25.115503
    PERCENT:25.190819
    PERCENT:25.246031
    PERCENT:25.311855
    PERCENT:25.377510
    PERCENT:25.432257
    PERCENT:25.482269
    PERCENT:25.537006
    PERCENT:25.600801
    PERCENT:25.676252
    PERCENT:25.734795
    PERCENT:25.759695
    PERCENT:25.795122
    PERCENT:25.824356
    PERCENT:25.860365
    PERCENT:25.880753
    PERCENT:25.925852
    PERCENT:25.967735
    PERCENT:26.007740
    PERCENT:26.057795
    PERCENT:26.114603
    PERCENT:26.180586
    PERCENT:26.247742
    PERCENT:26.299942
    PERCENT:26.359846
    PERCENT:26.407354
    PERCENT:26.450750
    PERCENT:26.497423
    PERCENT:26.556948
    PERCENT:26.600239
    PERCENT:26.659426
    PERCENT:26.726591
    PERCENT:26.801188
    PERCENT:26.851063
    PERCENT:26.885750
    PERCENT:26.924423
    PERCENT:26.969509
    PERCENT:26.999853
    PERCENT:27.047415
    PERCENT:27.092861
    PERCENT:27.109295
    PERCENT:27.152153
    PERCENT:27.203371
    PERCENT:27.251026
    PERCENT:27.301006
    PERCENT:27.339531
    PERCENT:27.381226
    PERCENT:27.426853
    PERCENT:27.513287
    PERCENT:27.579679
    PERCENT:27.617992
    PERCENT:27.653282
    PERCENT:27.682951
    PERCENT:27.712923
    PERCENT:27.759142
    PERCENT:27.827208
    PERCENT:27.871777
    PERCENT:27.915215
    PERCENT:27.970638
    PERCENT:28.020599
    PERCENT:28.066351
    PERCENT:28.134796
    PERCENT:28.186817
    PERCENT:28.270164
    PERCENT:28.332289
    PERCENT:28.382683
    PERCENT:28.415890
    PERCENT:28.473925
    PERCENT:28.538914
    PERCENT:28.601091
    PERCENT:28.666546
    PERCENT:28.725584
    PERCENT:28.779697
    PERCENT:28.833038
    PERCENT:28.891273
    PERCENT:28.924736
    PERCENT:28.975245
    PERCENT:29.027763
    PERCENT:29.074520
    PERCENT:29.130630
    PERCENT:29.208450
    PERCENT:29.275236
    PERCENT:29.328926
    PERCENT:29.393091
    PERCENT:29.454836
    PERCENT:29.538458
    PERCENT:29.597961
    PERCENT:29.638641
    PERCENT:29.673275
    PERCENT:29.713671
    PERCENT:29.763716
    PERCENT:29.832762
    PERCENT:29.885555
    PERCENT:29.938517
    PERCENT:29.991171
    PERCENT:30.042643
    PERCENT:30.103878
    PERCENT:30.147993
    PERCENT:30.201569
    PERCENT:30.260754
    PERCENT:30.319719
    PERCENT:30.371147
    PERCENT:30.421413
    PERCENT:30.466501
    PERCENT:30.514475
    PERCENT:30.561897
    PERCENT:30.602249
    PERCENT:30.649134
    PERCENT:30.692341
    PERCENT:30.749752
    PERCENT:30.803410
    PERCENT:30.864868
    PERCENT:30.925852
    PERCENT:31.003471
    PERCENT:31.067118
    PERCENT:31.131071
    PERCENT:31.198364
    PERCENT:31.263998
    PERCENT:31.334694
    PERCENT:31.389822
    PERCENT:31.448341
    PERCENT:31.506069
    PERCENT:31.567497
    PERCENT:31.624443
    PERCENT:31.684803
    PERCENT:31.743587
    PERCENT:31.784817
    PERCENT:31.830286
    PERCENT:31.868820
    PERCENT:31.916666
    PERCENT:31.988419
    PERCENT:32.054432
    PERCENT:32.115871
    PERCENT:32.147610
    PERCENT:32.160366
    PERCENT:32.163452
    PERCENT:32.171116
    PERCENT:32.182297
    PERCENT:32.217102
    PERCENT:32.269154
    PERCENT:32.296452
    PERCENT:32.357258
    PERCENT:32.430584
    PERCENT:32.517673
    PERCENT:32.580791
    PERCENT:32.621544
    PERCENT:32.656391
    PERCENT:32.664772
    PERCENT:32.666801
    PERCENT:32.668007
    PERCENT:32.668957
    PERCENT:32.706509
    PERCENT:32.719318
    PERCENT:32.770813
    PERCENT:32.787045
    PERCENT:32.806248
    PERCENT:32.813194
    PERCENT:32.819702
    PERCENT:32.825687
    PERCENT:32.838665
    PERCENT:32.854813
    PERCENT:32.864243
    PERCENT:32.872780
    PERCENT:32.898041
    PERCENT:32.928005
    PERCENT:32.956585
    PERCENT:32.972816
    PERCENT:32.988605
    PERCENT:33.010189
    PERCENT:33.018559
    PERCENT:33.035564
    PERCENT:33.059101
    PERCENT:33.086552
    PERCENT:33.097893
    PERCENT:33.124199
    PERCENT:33.147110
    PERCENT:33.163864
    PERCENT:33.195168
    PERCENT:33.220978
    PERCENT:33.241596
    PERCENT:33.264721
    PERCENT:33.294590
    PERCENT:33.324471
    PERCENT:33.353355
    PERCENT:33.386448
    PERCENT:33.416260
    PERCENT:33.446056
    PERCENT:33.477909
    PERCENT:33.504871
    PERCENT:33.534760
    PERCENT:33.565762
    PERCENT:33.596272
    PERCENT:33.627441
    PERCENT:33.657055
    PERCENT:33.687019
    PERCENT:33.718513
    PERCENT:33.752598
    PERCENT:33.781483
    PERCENT:33.811935
    PERCENT:33.840355
    PERCENT:33.869503
    PERCENT:33.899021
    PERCENT:33.932949
    PERCENT:33.963165
    PERCENT:33.991344
    PERCENT:34.018093
    PERCENT:34.064331
    PERCENT:34.114388
    PERCENT:34.171207
    PERCENT:34.217415
    PERCENT:34.222256
    PERCENT:34.251995
    PERCENT:34.307461
    PERCENT:34.364956
    PERCENT:34.409367
    PERCENT:34.457191
    PERCENT:34.504215
    PERCENT:34.549431
    PERCENT:34.561913
    PERCENT:34.563107
    PERCENT:34.572544
    PERCENT:34.585690
    PERCENT:34.602940
    PERCENT:34.607708
    PERCENT:34.609123
    PERCENT:34.618614
    PERCENT:34.644012
    PERCENT:34.692799
    PERCENT:34.815693
    PERCENT:34.852474
    PERCENT:34.895164
    PERCENT:34.933266
    PERCENT:34.973396
    PERCENT:35.011475
    PERCENT:35.036522
    PERCENT:35.052345
    PERCENT:35.066116
    PERCENT:35.078102
    PERCENT:35.085659
    PERCENT:35.134701
    PERCENT:35.192131
    PERCENT:35.223255

    This chunk of the process looks problematic...
    + echo 'Creating a Base System BOM'
    Creating a Base System BOM
    /bin/rm ${1}/rawBom.txt > /dev/null 2>&1
    + /bin/rm /tmp/niutemp.ZbrIcFvw/rawBom.txt
    /usr/sbin/pkgutil --volume "${sourceVol}" --lsbom com.apple.pkg.BaseSystem > ${1}/rawBom.txt
    + /usr/sbin/pkgutil --volume '/Volumes/Macintosh HD' --lsbom com.apple.pkg.BaseSystem
    2011-06-21 14:26:22.185 pkgutil[3344:903] PackageKit: *** Missing bundle identifier: /Volumes/Macintosh HD/Library/Receipts/vpn.pkg
    # Look for any files added via a combo or security update
    pkgList=`/usr/sbin/pkgutil --volume "${sourceVol}" --group-pkgs "com.apple.dvd-boot.pkg-group"`
    /usr/sbin/pkgutil --volume "${sourceVol}" --group-pkgs "com.apple.dvd-boot.pkg-group"
    ++ /usr/sbin/pkgutil --volume '/Volumes/Macintosh HD' --group-pkgs com.apple.dvd-boot.pkg-group
    2011-06-21 14:26:23.417 pkgutil[3345:903] PackageKit: *** Missing bundle identifier: /Volumes/Macintosh HD/Library/Receipts/vpn.pkg
    No packages found in group 'com.apple.dvd-boot.pkg-group' on '/Volumes/Macintosh HD'.
    The warning from PackageKit indicates that something is possibly wrong with the vpn package.
    The next (and larger) problem is the "No packages found in group..." line. This suggests that the volume you are trying to image from (presumably also 10.6.7) was not created using the Combo updater.
    I would run the 10.6.7 combo update on "Macintosh HD" and try this again.

  • How to include Office 2011 in SIU NetRestore workflow?

    I am trying to build a modular workflow to perform a NetRestore of Lion, rather than the old fashioned way of cloning a system.
    I am using SIU 10.7.3 on a 10.7.4 client iMac. Our servers are running 10.6.8 Server. I am also trying to follow the directions from the 10.6 Deployment book from Peach Pit, as well as looking things up in SIU's built-in Help and I am running into problems.
    Firstly, I am not clear on how to install 3rd party apps such Office 2011 or apps that install via .mpgks. I created a couple of test Workflows and when I tried to include the Office installer, it would fail at the very last step of the NetRestore. Mpgks would not even install at all.
    I am also not clear on how to inlcude apps that do not install via packages, such as Firefox.
    Secondly, documentation is confusing regarding workflows that work for Netinstall and Netrestore. The Add User action is only available for NetBoot workflows and not NetInstall modular workflows, which doesn't really make sense.
    Why is the Add Packages and Post-Install Scrpits available only on NetInstall images? It makes more sense to me that this action should be available for NetRestore workflows.
    Thanks in advance.

    I think I may have solved my own problem: i am guessing i have to extract packages, or installers, from the Office 2011 installer and make a new package with PackageMaker.
    I also think i need to make an installer package for Firefox.
    If i am correct, can anyone recommend a better tool to make packages? Pacifist with Iceberg?
    Or if i am not correct, please let me know the best way to accomplish what i am trying to do.

  • SIU in 10.6

    Hi Everyone,
    Does anyone know if SIU (NetRestore application for image creation) is part of 10.6 or exist only in 10.6 server edition?
    Thanks,

    It's available with Server Admin Tools, which you can run without having OS X Server: http://support.apple.com/kb/HT3931

  • SIU - Apply Computer Name and Local Hostname settings from a file

    I am setting up a workflow to image corporate computers and wanting to know how the "Apply Computer Name and Local Hostname settings from a file" works in the Apply System Configuration Settings task.
    We bind the computer to AD and OD and we have a specific naming convention for certain departments and trying to automate the entire imaging process.
    Would this be something that can be done with SIU?

    Well, maybe there's a bug in the latest version (10.5.3) of SIU as this is not what is happening.
    It doesn't seem to matter what I specify for the name parameters I end up with a Bonjour name of ".local".
    I put in a line of the form <Mac Address><TAB>tom<TAB>dick<TAB>harry into the text file used by the Apply System Configuration Settings Action.
    and end up with hostname = tom, Computer Name = dick and Bonjour Name = .local
    I'm building the NetInstall image on a new iMac running 10.5.3 booted out of a second partition and create the image from the main boot partition (also 10.5.3). I then copy the image to my server (10.5.3) and make a second iMac boot up from the NetInstall image.
    For what it is worth the Workflow Actions I am using are:
    Define Image Source
    + NetInstall
    Source: Macintosh HD
    Filter Clients by MAC Address
    + Allow
    <List of MAC Addresses>
    Enable Automated Installation
    + On Volume Named: Macintosh HD
    + Erase before installing
    + Primary Language: English
    Apply System Configuration Settings
    + Apply Computer Name and Local Hostname settings from a file: <FILE>
    Add Packages and Post-Install Scripts
    + Shell Script [Doesn't work - we're discussing in it in another thread]
    Create Image
    In: Public
    Named: NetInstall Classroom
    Volume Name: Classroom iMacs
    Index: 1

  • SIU fails to create images

    Using SIU 10.6.7 on a machine updated to 10.6.8, trying to create a NetInstall image of a 10.6.3 Retail disc. SIU fails consistently, even after a reinstall of the server admin tools.
    This is what I get from the console log:
    12/8/11 1:12:37 PM          System Image Utility[154]          Assistant - Selected source:"NetInstall of OS X 10.6.3 Installer".
    12/8/11 1:12:58 PM          [0x0-0x13013].com.apple.server.SystemImageUtility[154]          objc[154]: Class SIUDiskUtility is implemented in both /Applications/Server/System Image Utility.app/Contents/MacOS/System Image Utility and /Applications/Server/System Image Utility.app/Contents/Library/Automator/Define Image Source.action/Contents/MacOS/Define Image Source. One of the two will be used. Which one is undefined.
    12/8/11 1:13:02 PM          System Image Utility[154]          Something didn't really work out here...
    12/8/11 1:13:02 PM          System Image Utility[154]          Failed to create image from script createNetInstall.sh.

    Try setting the debug level to verbose in the SIU preferences. This should give more information about the failure in the run log for the image build.
    You should also be looking for the SIU logs instead of the console. They're in ~/Library/Logs (you access them through Console.app as well.)
    I've never actually seen the "Something didn't really work out here..." message occur. It means that SIU failed to communicate with its helper tool that builds the images.

  • My Iphone 4 crashed and I lost my entire contact list. I restored it to original factory settings but in trying to restore my data from my laptop via Itunes.. this was the feedback: Itunes could not restore the Iphone Dr Johnny Siu Chong because the Iphon

    My Iphone 4 crashed and I lost my entire contact list. I restored it to original factory settings but in trying to restore my data from my laptop via Itunes.. this was the feedback: Itunes could not restore the Iphone Dr Johnny Siu Chong because the Iphone refused the request.
    I cannot get help from Apple support because i am being asked to supply the serial number which is stored on the phone and I cannot restore my data in the first place. I am reluctant to "Set up as a new Iphone" since I don't know whether if I do I  may not then be able to access my data from Itunes...
    Please advise what to do. I did not see any tutorials on Youtube to help me with this.
    I look forward to an early response.

    Hey joshuafromisr,
    If you resintall iTunes, it should fix the issue. The following document will go over how to remove iTunes fully and then reinstall. Depending on what version of Windows you're running you'll either follow the directions here:
    Removing and Reinstalling iTunes, QuickTime, and other software components for Windows XP
    http://support.apple.com/kb/HT1925
    or here:
    Removing and reinstalling iTunes, QuickTime, and other software components for Windows Vista or Windows 7
    http://support.apple.com/kb/HT1923
    Best,
    David

  • SIU "Apply system configuration settings" and Connect computers to directory servers

    Good morning/Afternoon/Evening everyone.
    I've currently been studying/researching imaging with OSX 10.9 server, using the SIU.  As I'm going through it, one option that is appealing to me, is the "COnnect computers to directory servers:" option under the Apply System configuration settings workflow action.
    The issue is that when click on the + to add a server, it only comes up with Localhost (127.0.0.1) and won't give me the option to point to my OD server for binding.  Is there a way to change this, or some other option I am missing?
    Also, I'm at a loss to find any setting in Profile manager that will enable/turn on "Remote management" for ARD and SSH.

    Thank you for that link, it is insightful.  So let me throw this into the mix:
    When it comes to ARD, we have to have a local user on the local machine, in order to login, correct? It won't allow us to have OD authenticated admins/users login to the client machine. Is that correct?
    If that is the scenario, then how are we to lock down a situation where we are imaging multiple macs and have the potential to have admins changing or leaving, and a need to reset local machine admin credentials. Obviously we aren't going to do this individually per machine. This would also need to be done via scripting (or ARD CLI to our enterprise), but then each image needs to be updated or all new machines need to be touched after image/install.
    Am I thinking of this the correct way?
    Also, is it possible to create an image that has no local user at all, or is that just nonsense?

  • DHCP not issuing IP's, SIU Problems

    Upgraded to 10.5 server from 10.4.11 Server and I am having a few problems.
    Number 1
    I am trying to get NetBoot Running again but none of my systems are recognizing the server. I have checked the logs and everything is looking great except that I see DHCP requests coming through (MAC address' are in the log) but the server is not distributing the IP to the machines. The log file reports the subnet is not right.
    Number 2
    I am trying to create factory restores for new macs. When using SIU I am having trouble getting the program to recognize that there are usually two DVD's that come with macs for restores. I tried having the unit select packages but that does not come up with anything. When I run the image workflow it does not even ask for the second disk which has a lot of bundled software. Any help would be appreciated!

    I was having various DHCP problems, it was telling me the start IP wasn't within the range, although it clearly was - try making a new subnet with the same details then restart the service.
    Also check directory utility on the client machines, if they are running leopard too, I noticed a but where if it was set to automatically discover the server via DHCP the search policy for authentication had to be set to a custom path not automatic, else the clients were getting self signed IP's instead of DHCP assigned.

  • System Image Utility (SIU) 10.6.0 to 10.6.2

    I'm using the following workflow; the goal is to build an image based on the 10.6.0 installation DVD and to add the 10.6.2 Combo Update to the image so the clients are deployed with 10.6.2.
    Define Image Source
    Enable Automated Installation
    Add Packages and Post-Install Scripts (Add the 10.6.2 combo update .pkg file)
    Customize Package Selection (10.6.2 Update is selected as Default)
    Create Image
    The image builds cleanly and then I try to NetInstall a client. The install works fine, but in the installer log when it tries to install the 10.6.2 combo update, it throws an error saying that the package is untrusted. Has anyone seen behavior like this and knows of a way to resolve it? Is there a better way to accomplish building a 10.6.2 image from the 10.6.0 DVD and combo update?

    I have a workflow as follows that works:
    Define Image Source (10.6 DVD)
    Add Packages and Post-Install Scripts (with 10.6.2 combo)
    Create Image (NetRestore)
    I have not had any luck yet with any workflow containing Automated Installation in SIU 2.

  • 10.10 Server, SIU NetRestore will not capture image

    So I am currently attempting to capture an image of Yosemite off a Mac Air using target mode.
    The server is also running Yosemite with the latest version of Server.
    Every time I try to use SIU to capture a NetRestore image for deployment it breaks during the "Coping Source Image" portion.
    I have renamed the mounted Target drive to something other than Macintosh HD and several other things.
    Any one else having this issue? recommendations?

    It sounds like you may be running into the problem described in this thread.

  • 2TB Time Capsule and Time Machine on Snow Leopard 10.6.1 slooooooow

    I have a 2TB Time Capsule on a 100Mps LAN that is shared by my Mac Pro and an iMac G5. No USB devices are connected to the Time Capsule. The Time Capsule and both computers are connected to the LAN through a LinkSys 8-port Cable/Router/DHCP.
    While in Time Machine (about 30 backup folders) looking for a file to restore, it takes 2-5 minutes for Time Machine to change between backups. The time line on the right responds extremely slowly.
    Whether or not the iMac is backing up has no effect.
    Is this normal?
    Thank you,
    Don

    See: http://www.codedifferent.com/2009/09/02/howto-reactivate-your-kyocera-printer-un der-mac-os-x-snow-leopard/
    We have a KM-2550 and this solved it. HTH.

  • Upgraded to 7.4.3.1 now I'm slooooooow

    Just upgraded, went to import 27 Mp4 songs into my library, it's now been 2 hours and it's still processing the seemless playback. It seems that iTunes has come to a screeching halt with this new update. The previous version blew through Mp4s same as Mp3s. Any idea's or suggestions on how to troubleshoot this slowdown?
    Thanks.

    Why would you not update? iOS 7.0.3 is mostly bug fixes. Read here:
    http://support.apple.com/kb/DL1691

  • N80 FREEZING/CRASHING/SLOOOOOOOW

    If anyone can help me that would be wicked! Had my N80 for about 12 months now, worked fine when i got it. Now all of a sudden it constantly freezes when i try and go into anything like messages,gallery etc.Its very very slow and crashes and freezes very often. Never used to be like this??
    Its got the latest firmware on it but that hasnt made a difference.Installed sms excellerator...that hasnt made a difference. Also, I cannot get the sleep mode to work anymore, it just wont go into sleep mode. Charged it lastnite. Went to bed, never used it for calls etc and by midday the next day battery was dead!!! My contract is up in 3 months. Its doing my head in, 3 months of this!!
    Have read about reformating/soft resets ect but im unsure as that would be a last resort?
    If anyone could help me that would be very much appreciated!!
    Thanks,
    Neil

    soun ds like the phone is running to many stand by apps and is crawling along at a slugs pace
    I am assuming that you have done the obvious, take battery and sim out without switching off, leave it ten mins then restart?
    if not try that, sometimes if there are stray apps running or the memory has not been released after an operation it throws a wobbler!
    If that does not work back up all your contacts etc to the phone and do a hard reset.
    WARNING this will rest your phone to how it was new out of the box, i.e. blank absolutely nothing on it but the OS and whatever branding it was firmware'd with.
    You will lose all data if not backed up!
    Also before doing a full reset remove sim and memory cards.
    The hard reset is a sticky at the head of the page of this section ie n series/smartphones.
    HTH
    JG
    If it isn't fun you are doing it wrong
    N95, N80, N73, P990, P910, P900, 6230i, K750i, 8210

  • Loading apps after iCloud restore is slooooooow!

    The loading of apps after restore is 12 hours+ and has far to go. How do I speed up the process?

    How are you loading them, I suspect the quickest way might be syncing with iTunes.

Maybe you are looking for

  • Unable to launch safari on my mac 10.8.2 after i tried to uninstall

    Hi, I have tried to uninstall the safari on my mac but it didnt went success after that i have installed the safari 6.0.2 but even after it is installed successfully iam unbale to launch the safari. Please provide how to clean uninstallation of safar

  • Query Deletion Problem..

    Hi Guru I have process in Business like Table Line_Item Columns are Line_ID                Product_ID Product_name               Status 1     111     hosted Id               Y 2      112     AutoAttend+10 (Parent)     Y 3           112     Autoattend

  • Blocked Plug-in

    Hi there.. I am getting "Blocked Plug-in" whenever i try to view flash video in Safari. Flash is upgraded to the latest version and ive checked this under system preferences>flash player but im still getting this error and have no idea how to fix it?

  • How to create a revolving website list, like this...

    Hi there, Im new to flash, but the main reason I got it was so I could create an object to put on a webpage. I want to be able to create a revolving website list, with pictures of the sites in the list, like on the main page of this site:  http://www

  • Months and Days

    Hi everyone, I have a tricky problem here ... I have records that contain data for multiple months. For example ... inv_no datefrom dateto amount 1234 21-Jan-09 18-Mar-09 xxx ... and, in order to reconcile the billing, I need to split out the amount